%define upstream_name    MooseX-LazyRequire
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Required attributes which fail only when trying to use them
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose) >= 0.940.0
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::CheckDeps) >= 0.2.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(aliased) >= 0.300.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module adds a 'lazy_require' option to Moose attribute declarations.

The reader methods for all attributes with that option will throw an
exception unless a value for the attributes was provided earlier by a
constructor parameter or through a writer method.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-6.mga6
+ Revision: 1030421
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.110.0-5.mga6
+ Revision: 948151
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 740112
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.110.0-3.mga5
+ Revision: 735811
- add exclude

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 0.110.0-1.mga5
+ Revision: 664681
- update to 0.11

* Sat Oct 19 2013 umeabot <umeabot> 0.100.0-2.mga4
+ Revision: 527672
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.100.0-1.mga4
+ Revision: 441692
- update to 0.10

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 370189
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.90.0-1.mga3
+ Revision: 342393
- update to 0.09

* Thu Jul 05 2012 jquelin <jquelin> 0.80.0-1.mga3
+ Revision: 268052
- update to 0.08

* Thu Apr 07 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 81814
- update to 0.07

* Tue Jan 25 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 38602
- mageia rebuild
- imported package perl-MooseX-LazyRequire

